Bug 55714 - (NET TULIP)bug in tulip 0.9.15 in Accton 1207C
(NET TULIP)bug in tulip 0.9.15 in Accton 1207C
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 10:42 EST by Need Real Name
Modified: 2013-07-02 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-05 10:42:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
The 0.9.15 driver as included in the updated 2.4.9 kernel doesn't work 
with this card.
It works fine with 0.9.14 as used in RedHat kernels 2.4.2 and 2.4.3.

Nov  3 10:35:43 mx0 kernel: NETDEV WATCHDOG: eth0: transmit timed out
Nov  3 10:35:43 mx0 kernel: eth0: 21140 transmit timed out, status 
f0660000, SIA 000000c6 ffff0000 fffbff7f 8ff0c008, resetting...
Nov  3 10:35:43 mx0 kernel: eth0: transmit timed out, switching to 
100baseTx-FDX media.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install later kernel with this card Accton 1207C
2. You won't get a packet out.
3.
	

Actual Results:  No network access

Expected Results:  Network should work

Additional info:

Sourceforge lists 0.9.14 http://sourceforge.net/projects/tulip/ as the 
latest stable version but it appears that 0.9.15 was included in the 
kernel sources at about 2.4.5.
Search for tulip 0.9.15 on Google and you'll see this isn't the only card 
having this problem.
We've verified this on two systems both 7.1 upgraded to latest 2.4.9 RH 
kernel.
One is an old Pentium the other is a Dual PIII L440GX based system.
Additionally this card always had detection problems. With the older 
driver we specify append="ether=0,0,5,eth0" in lilo.conf to make it 100FD 
so part of the problem may be the card but that doesn't help much.
Comment 1 Arjan van de Ven 2001-11-05 10:46:28 EST
Please try the "tulip_old" driver; it's the 0.9.14 driver....
Comment 2 Need Real Name 2001-11-05 11:16:38 EST
Looks like it works fine.
(As expected really as it's the driver that worked. )

Sorry I should have noticed you had left the old driver in the source tree.
If I had I wouldn't have raised the bugzilla entry.
I guess we'll just have to remember to update modules.conf after updating the 
kernel.
Thanks for your prompt response.
Comment 3 Bugzilla owner 2004-09-30 11:39:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.